Subject: Re: [DMM] Intdir telechat review of draft-ietf-dmm-distributed-mobility-anchoring-14

From: CARLOS JESUS BERNARDOS CANO <[email-masked]>
Date: Mon, 2 Mar 2020 22:31:27 +0100

Dear Carlos,

Thanks a lot for your review. Please see inline below.

On Sat, Feb 29, 2020 at 4:05 AM Carlos Pignataro via Datatracker <
[email-masked]> wrote:

> Reviewer: Carlos Pignataro
> Review result: Ready with Nits
>
> I am an assigned INT directorate reviewer for this Internet-Draft.  These
> comments were written primarily for the benefit of the Internet Area
> Directors.
> Document editors and shepherd(s) should treat these comments just like they
> would treat comments from any other IETF contributors and resolve them
> along
> with any other Last Call comments that have been received. For more
> details on
> the INT Directorate, see http://www.ietf.org/iesg/directorate.html.
>
> I hope these comments are clear and useful.
>
> As requested, from the Internet area Directorate review, these two DMM
> documents are being reviewed together:
> * draft-ietf-dmm-distributed-mobility-anchoring-14
> * draft-ietf-dmm-pmipv6-dlif-05
>
> This document defines distributed mobility anchoring, in terms of the
> different configurations and functions to provide IP mobility support,
> including network-based or host-based mobility support.
>
> The intended status is Informational. It is a very well written and
> comprehensive document. It is technically sound.
>
> No major or minor issues.
>
> Nits:
>
> A set of small nits for your consideration.
>
> 1.  Introduction
>
>    As a Mobile Node (MN) attaches to an access router and establishes a
>    link between them, a /64 IPv6 prefix anchored to the router may be
>    assigned to the link for exclusive use by the MN [RFC6459].  The MN
>    may then configure a global IPv6 address from this prefix and use it
>    as the source IP address in a flow to communicate with its
>    correspondent node (CN).
>
> Capitalize:
> s/correspondent node/Correspondent Node/
>

[CB] OK, fixed in -15 (to be submitted).

>
> 2.  Conventions and Terminology
>
>    These include terms such as mobile node (MN), correspondent node
>    (CN), home agent (HA), home address (HoA), care-of-address (CoA),
>    local mobility anchor (LMA), and mobile access gateway (MAG).
>
> Capitalize “Mobile Node” (as per § 1), “Corespondent Node”, etc.
>

[CB] OK, fixed in -15 (to be submitted).

> Similar within this same § 2, “mobile router”, etc.
> Same throughout the document (e.g., “router advertisement (RA)”)
>

[CB] OK, fixed in -15 (to be submitted).

>
> 4.3.  Mobility case, anchor relocation
>
>    The IP prefix/address anchoring may move without changing the IP
>    prefix/address of the flow.  Here the LM and FM functions in Figure 1
>    in Section 3.1 are implemented as shown in Figure 7.
>
> “Figure 1 in Section 3.1.1 are implemented”
>

[CB] OK, fixed in -15 (to be submitted).

>
>                          Figure 7: Anchor mobility
>
> Should this figure’s label be “Anchor Relocation” instead of ‘Anchor
> mobility”?
>

[CB] OK, makes sense. Fixed in -15 (to be submitted).

> 5.  Security Considerations
>
>    As stated in [RFC7333], "a DMM solution MUST supportany security
>
> s/supportany/support any/
>

[CB] OK, fixed in -15 (to be submitted).

>
> 8.2. Informative References
>
> The relationship of this document and draft-ietf-dmm-deployment-models is
> mostly clear, thank you for that.
>

[CB] Related to this, we got a comment from Mirja. Since
draft-ietf-dmm-deployment-models is not going to progress any further,
we'll try to remove the reference and incorporate the needed content to
make our document self contained without the reference.

>
> I hope you fid these comments useful.
>

[CB] Very much indeed. Thanks a lot!

Carlos

> Carlos Pignataro.

---

From: "Carlos Pignataro (cpignata)" <[email-masked]>
Date: Mon, 2 Mar 2020 22:26:33 +0000

Dear Carlos,

Thank you for the quick response and the explicit Ack on all the issues! Happy the review was useful.

Best,

(Another) Carlos.

2020/03/02 午後4:31、CARLOS JESUS BERNARDOS CANO <[email-masked]<mailto:[email-masked]>>のメール:

Dear Carlos,

On Sat, Feb 29, 2020 at 4:05 AM Carlos Pignataro via Datatracker <[email-masked]<mailto:[email-masked]>> wrote:
Reviewer: Carlos Pignataro
Review result: Ready with Nits

I am an assigned INT directorate reviewer for this Internet-Draft.  These
comments were written primarily for the benefit of the Internet Area Directors.
Document editors and shepherd(s) should treat these comments just like they
would treat comments from any other IETF contributors and resolve them along
with any other Last Call comments that have been received. For more details on
the INT Directorate, see http://www.ietf.org/iesg/directorate.html.

Nits:

1.  Introduction

Capitalize:

Should this figure’s label be “Anchor Relocation” instead of ‘Anchor mobility”?

[CB] Related to this, we got a comment from Mirja. Since draft-ietf-dmm-deployment-models is not going to progress any further, we'll try to remove the reference and incorporate the needed content to make our document self contained without the reference.

Carlos

Carlos Pignataro.